using System;
using System.Drawing;
using System.Windows.Forms;

public class AppForm : Form
{
	// Members 
	private Mandelbrot m;
	private MBController c;
	private MBView v;
	
	// C'tor
	public AppForm()
	{
		this.Text = "Mandelbrot v2.0";
		this.Size = new Size(600, 600);
		
		this.m = new Mandelbrot();

		this.v = new MBView(this.m);
		this.v.BackColor = Color.WhiteSmoke;
		this.v.Dock = DockStyle.Fill;
		
		this.c = new MBController(this.m, this.v);
		// this.c.BackColor = Color.Red;	// debug
		this.c.Dock = DockStyle.Top;

		this.Controls.Add(this.v);
		this.Controls.Add(this.c);
		
		
		this.m.MandelbrotComplete += new MandelbrotCompleteHandler(this.v.DrawMandelbrot);
		this.m.MandelbrotComplete += new MandelbrotCompleteHandler(this.c.MandelbrotStopped);
		this.m.MandelbrotProceed += new MandelbrotProceedHandler(this.v.ListenProgress);
		
		this.AcceptButton = this.c.mbControl;
	}
}