using System;

class ComplexNr
{
	// Members
	public double Re;
	public double Im;
	
	// C'tor
	public ComplexNr()
	{
		this.Re = this.Im = 0.0;
	}
	
	public ComplexNr(double Re, double Im)
	{
		this.Re = Re;
		this.Im = Im;
	}
	
	// Getter
	public double Abs
	{
		get { return (Math.Sqrt(this.Re * this.Re + this.Im * this.Im)); }
	}
	
	// Operators
	public static ComplexNr operator + (ComplexNr a, ComplexNr b)
	{
		return new ComplexNr(a.Re + b.Re, a.Im + b.Im);
	}

	public static ComplexNr operator -(ComplexNr a, ComplexNr b)
	{
		return new ComplexNr(a.Re - b.Re, a.Im - b.Im);
	}

	public static ComplexNr operator *(ComplexNr a, ComplexNr b)
	{
		return new ComplexNr(a.Re * b.Re - a.Im * b.Im, a.Re * b.Im + a.Im * b.Re);
	}
	
	public ComplexNr Conjugate()
	{
		return new ComplexNr(this.Re, -this.Im);
	}
}
